ROOT=../../..

all: app

include $(ROOT)/libmawk/Makefile.conf
$(ROOT)/libmawk/libmawk.a: FORCE
	cd $(ROOT)/libmawk && make libmawk.a


OBJS = func_call.o
CFLAGS = -I$(ROOT)

app: $(OBJS) $(ROOT)/libmawk/libmawk.a
	$(CC) $(LDFLAGS) $(OBJS) $(ROOT)/libmawk/libmawk.a -o $@ $(MATHLIB)

func_call.o: func_call.c

run: func_call
	./func_cal -f test.awk

clean:
	rm -f $(OBJS) func_call

distclean: clean


FORCE:
